Đến nội dung


Hình ảnh
- - - - -

định dạng unit


  • Please log in to reply
11 replies to this topic

#1 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 31 March 2009 - 01:26 AM

em vẽ xong mà quên định dạng unit, bây jờ phần thập phân có đến 4 số 0. các bác chỉ em làm sao định dạng cho từng đối tượng về định dạng số có 2 hoặc 3 số thập phân không
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 31 March 2009 - 08:22 AM

em vẽ xong mà quên định dạng unit, bây jờ phần thập phân có đến 4 số 0. các bác chỉ em làm sao định dạng cho từng đối tượng về định dạng số có 2 hoặc 3 số thập phân không

Bạn đang nói đến đối tượng nào thế?
Đối tượng đó là Dimension hay là Text; Mtext
Bạn phải nói rõ ra thì mọi người mới giúp bạn được chứ? :cry:
Chào bạn.
  • 0

#3 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 06 April 2009 - 07:07 PM

Bạn đang nói đến đối tượng nào thế?
Đối tượng đó là Dimension hay là Text; Mtext
Bạn phải nói rõ ra thì mọi người mới giúp bạn được chứ? :cry:
Chào bạn.


đối tượng của em là ở dạng số, em xài nova, xuất trắc dọc ra thì các tọa độ nó có 4 số 0, em không biết nó thuộc dạng text, mtext. tiện thể thì chỉ giúp em cả dimension cũng như vậy nữa. lỡ sau nầy gặp thì còn biết đường làm. cám ơn anh nhé
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 06 April 2009 - 09:13 PM

đối tượng của em là ở dạng số, em xài nova, xuất trắc dọc ra thì các tọa độ nó có 4 số 0, em không biết nó thuộc dạng text, mtext. tiện thể thì chỉ giúp em cả dimension cũng như vậy nữa. lỡ sau nầy gặp thì còn biết đường làm. cám ơn anh nhé

Về Text hay Mtext, việc định dạng số thập phân có bao nhiêu số lẻ do người sử dụng chọn nằm ở bài viết này : Lisp làm tròn số
Còn với Dimension thì số lẻ thập phân nằm ở mục Precision trong nhãn Primary Units.
Bạn đánh lệnh Dimstyle -> Hiện hộp thoại Dimension style Manager -> Chọn Style cần chỉnh -> Modify -> Hiện lên hộp thoại Modify Dimension Style -> trong nhãn Primary Units, mục Precision có menu xổ xuống đó chọn số lẻ thập phân thích hợp mà bạn muốn chọn -> OK
  • 1

#5 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2884 Bài viết
Điểm đánh giá: 1556 (rất tốt)

Đã gửi 06 April 2009 - 09:45 PM

em vẽ xong mà quên định dạng unit, bây jờ phần thập phân có đến 4 số 0. các bác chỉ em làm sao định dạng cho từng đối tượng về định dạng số có 2 hoặc 3 số thập phân không


Khổ quá ! bác cứ bị cái "lý thuyết suông" nó soi đường chỉ lối mà chẳng có thực tế gì cả. Bác cứ cài đặt CAD bình thường rồi vẽ ra bản vẽ là được đừng quan tâm gì đến unit unét làm gì? Em vẫn cài đặt từ 2004 -20009 vẽ bình thường in bình thường, bản vẽ được bên tư vấn giám sát thi công công nhận đàng hoàng và có cả chứng chỉ ISO đàng hoàng mà em có biết cái thằng UNIT là gì đâu??? Cái này chỉ để cho mấy ông ở các trung tâm dậy vẽ CAD lòe học sinh ko biết gì về CAD cho oách thôi bác ạ!
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#6 phantuhuong

phantuhuong

    biết dimstyle

  • Moderator
  • PipPipPipPipPip
  • 383 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 06 April 2009 - 11:21 PM

Bạn chịu khó đọc đoạn code này trong Help nhé:

Sub Example_UnitsFormat()
' This example creates an aligned dimension in model space and
' uses UnitsFormat to cycle through some common unit formats
' for the dimension

Dim dimObj As AcadDimAligned
Dim point1(0 To 2) As Double, point2(0 To 2) As Double
Dim location(0 To 2) As Double

' Define the dimension
point1(0) = 0: point1(1) = 5: point1(2) = 0
point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0
location(0) = 5: location(1) = 7: location(2) = 0

' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
ThisDrawing.Application.ZoomAll

' Cycle through common unit formats

dimObj.UnitsFormat = acDimLScientific ' Change format to Scientific
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Scientific"

dimObj.UnitsFormat = acDimLDecimal ' Change format to Decimal
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Decimal"

dimObj.UnitsFormat = acDimLArchitectural ' Change format to Architectural
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Architectural"

dimObj.UnitsFormat = acDimLWindowsDesktop ' Change format to WindowsDesktop
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Windows Desktop"

End Sub

  • 1
Bồi dưỡng Excel & VBA cho các đơn vị ở Hà Nội và khu vực lân cận

Từng bước loại đồ Tàu ra khỏi cuộc sống!


#7 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 April 2009 - 01:16 PM

Bạn chịu khó đọc đoạn code này trong Help nhé:

Sub Example_UnitsFormat()
' This example creates an aligned dimension in model space and
' uses UnitsFormat to cycle through some common unit formats
' for the dimension

Dim dimObj As AcadDimAligned
Dim point1(0 To 2) As Double, point2(0 To 2) As Double
Dim location(0 To 2) As Double

' Define the dimension
point1(0) = 0: point1(1) = 5: point1(2) = 0
point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0
location(0) = 5: location(1) = 7: location(2) = 0

' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
ThisDrawing.Application.ZoomAll

' Cycle through common unit formats

dimObj.UnitsFormat = acDimLScientific ' Change format to Scientific
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Scientific"

dimObj.UnitsFormat = acDimLDecimal ' Change format to Decimal
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Decimal"

dimObj.UnitsFormat = acDimLArchitectural ' Change format to Architectural
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Architectural"

dimObj.UnitsFormat = acDimLWindowsDesktop ' Change format to WindowsDesktop
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Windows Desktop"

End Sub


em là amateur thật, nên không biết làm sao sử dụng vba trên cad, lisp thì em kéo hắn vào autocad, vba thì em không biết sao cho nó chạy được. bác thông cảm chỉ cho em.
  • 0

#8 tucdrom

tucdrom

    — T — U — N — A —

  • Members
  • PipPipPipPipPipPip
  • 497 Bài viết
Điểm đánh giá: 642 (tốt)

Đã gửi 08 April 2009 - 01:35 PM

em là amateur thật, nên không biết làm sao sử dụng vba trên cad, lisp thì em kéo hắn vào autocad, vba thì em không biết sao cho nó chạy được. bác thông cảm chỉ cho em.

-Vẫn dùng lệnh AP như lúc ta load Lisp hoặc có thể dùng lệnh vbaload.
-Load xong dùng lệnh vbaide hoặc Alt+F11 để vào môi trường viết Code của VBA.
Để chạy 1 ứng dụng VBA nhấn F5.

  • 1

Email : anhtu2101@gmail.com



 


#9 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 April 2009 - 02:36 PM

Bạn chịu khó đọc đoạn code này trong Help nhé:

Sub Example_UnitsFormat()
' This example creates an aligned dimension in model space and
' uses UnitsFormat to cycle through some common unit formats
' for the dimension

Dim dimObj As AcadDimAligned
Dim point1(0 To 2) As Double, point2(0 To 2) As Double
Dim location(0 To 2) As Double

' Define the dimension
point1(0) = 0: point1(1) = 5: point1(2) = 0
point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0
location(0) = 5: location(1) = 7: location(2) = 0

' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
ThisDrawing.Application.ZoomAll

' Cycle through common unit formats

dimObj.UnitsFormat = acDimLScientific ' Change format to Scientific
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Scientific"

dimObj.UnitsFormat = acDimLDecimal ' Change format to Decimal
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Decimal"

dimObj.UnitsFormat = acDimLArchitectural ' Change format to Architectural
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Architectural"

dimObj.UnitsFormat = acDimLWindowsDesktop ' Change format to WindowsDesktop
ThisDrawing.Regen acAllViewports
MsgBox "The dimension units are now set to Windows Desktop"

End Sub

bạn có thể giải thick cách mà file vba trên chạy được không. mình chạy thử, nó báo dimension unit chuyển qua chế độ decimal, scientiifc, window desktop, nhưng mình không hiểu thực hư ra sao.
  • 0

#10 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 April 2009 - 02:40 PM

-Vẫn dùng lệnh AP như lúc ta load Lisp hoặc có thể dùng lệnh vbaload.
-Load xong dùng lệnh vbaide hoặc Alt+F11 để vào môi trường viết Code của VBA.
Để chạy 1 ứng dụng VBA nhấn F5.


-vậy mỗi lần chạy là mình phải load lai à. mỗi 1 mã vba nằm ở 1 file phải không, làm sao cho tất cả vào 1 file được
-khi mình muốn chạy vba là phải mở Alt+F11, rồi f5 à. bất tiện quá
  • 0

#11 tucdrom

tucdrom

    — T — U — N — A —

  • Members
  • PipPipPipPipPipPip
  • 497 Bài viết
Điểm đánh giá: 642 (tốt)

Đã gửi 08 April 2009 - 03:02 PM

bạn có thể giải thick cách mà file vba trên chạy được không. mình chạy thử, nó báo dimension unit chuyển qua chế độ decimal, scientiifc, window desktop, nhưng mình không hiểu thực hư ra sao.

:cry: hiểu ý bạn nói rồi.
Những dòng thông báo hiện ra trên màn hình là do bác PhanTuHuong lập trình ra mà thôi!!
Đây là đoạn Code tạo ra 1 đoạn thẳng có độ dài 5.1235.Đoạn thẳng này được tạo nên bởi 2 điểm
-Điểm point1:có toạ độ (x,y,z)=(0,5,0)
-Điểm point2:có toạ độ (x,y,z)=(5.1234578,5,0)
Dim dimObj As AcadDimAligned
Dim point1(0 To 2) As Double, point2(0 To 2) As Double
Dim location(0 To 2) As Double

' Define the dimension
point1(0) = 0: point1(1) = 5: point1(2) = 0
point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0
location(0) = 5: location(1) = 7: location(2) = 0

Sau đó Creat 1 Dimension để đo và ghi kích thước của đoạn thẳng đó.
   ' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
ThisDrawing.Application.ZoomAll

Sau khi ghi sau kích thước của đoạn thẳng đó,con số ghi kích thước của đoạn thẳng sẽ được định dạng lại theo các kiểu:Scientific;Decimal;Architectural và đồng thời đưa ra 1 ô thông báo là cho người dùng biết là đã định dạng lại con số ghi kích thước theo các kiểu trên.
MsgBox "The dimension units are now set to Scientific"
MsgBox "The dimension units are now set to Scientific"
MsgBox "The dimension units are now set to Architectural"
MsgBox "The dimension units are now set to Windows Desktop"

Giờ thì bạn đã biết là tại sao lại xuất hiện các ô thông báo đó rồi chứ?

  • 1

Email : anhtu2101@gmail.com



 


#12 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 April 2009 - 10:42 PM

:cheers: hiểu ý bạn nói rồi.
Những dòng thông báo hiện ra trên màn hình là do bác PhanTuHuong lập trình ra mà thôi!!
Đây là đoạn Code tạo ra 1 đoạn thẳng có độ dài 5.1235.Đoạn thẳng này được tạo nên bởi 2 điểm
-Điểm point1:có toạ độ (x,y,z)=(0,5,0)
-Điểm point2:có toạ độ (x,y,z)=(5.1234578,5,0)

Dim dimObj As AcadDimAligned
Dim point1(0 To 2) As Double, point2(0 To 2) As Double
Dim location(0 To 2) As Double

' Define the dimension
point1(0) = 0: point1(1) = 5: point1(2) = 0
point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0
location(0) = 5: location(1) = 7: location(2) = 0

Sau đó Creat 1 Dimension để đo và ghi kích thước của đoạn thẳng đó.
   ' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
ThisDrawing.Application.ZoomAll

Sau khi ghi sau kích thước của đoạn thẳng đó,con số ghi kích thước của đoạn thẳng sẽ được định dạng lại theo các kiểu:Scientific;Decimal;Architectural và đồng thời đưa ra 1 ô thông báo là cho người dùng biết là đã định dạng lại con số ghi kích thước theo các kiểu trên.
MsgBox "The dimension units are now set to Scientific"
MsgBox "The dimension units are now set to Scientific"
MsgBox "The dimension units are now set to Architectural"
MsgBox "The dimension units are now set to Windows Desktop"

Giờ thì bạn đã biết là tại sao lại xuất hiện các ô thông báo đó rồi chứ?


chà, bây jo thì đã hiểu, cám ơn bạn nhiều.
  • 0